Subject: Re: bug#72323: 31.0.50; line-move unconditionally resets vscroll to 0

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Jul 2024 14:14:40 +0300

> From: Steven Allen <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 28 Jul 2024 13:10:55 -0700
> 
> 
> To be clear, I'm not particularly happy with my solution of restoring
> vscroll as it does feel rather hacky. I'd rather avoid altering vscroll
> at all, but I wanted to demonstrate that there's nothing inherent
> unsolvable about this issue.

I never said this cannot be solved.  I'm quite sure it can be.  I only
object to significant changes in line-move to solve that.  With all
dues respect to pixel-scroll-precision-mode, it is a minor feature, so
making such low-level changes to cater to it is IMO tantamount to the
tail wagging the dog.